Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::BoundSlot3_4< R, P1, P2, P3, P4 > Class Template Reference

Converts a slot taking four arguments into a slot taking three arguments. More...

`#include <inti/bind.h>`

Inheritance diagram for Inti::BoundSlot3_4< R, P1, P2, P3, P4 >:

List of all members.

## Public Member Functions

- BoundSlot3_4 (Slot4< R, P1, P2, P3, P4 > *slot, P4 p4)
    Constructor.
- virtual ~BoundSlot3_4 ()
    Destructor.
- virtual R call (P1 p1, P2 p2, P3 p3) const
    Calls the original slot passing it arguments p1, p2 and p3, and the bound argument p as the last parameter.

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3, typename P4>
class Inti::BoundSlot3_4< R, P1, P2, P3, P4 >

Converts a slot taking four arguments into a slot taking three arguments.

## Constructor & Destructor Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4>
Inti::BoundSlot3_4< R, P1, P2, P3, P4 >::BoundSlot3_4 | ( | Slot4< R, P1, P2, P3, P4 > * | slot,
|  | P4 | p4
| ) | `[inline]`

  | Constructor. Parameters:
  slot | A pointer to a slot of type Slot1<R, P1, P2, P3, P4>.
  p4 | A bound argument of type P4

The documentation for this class was generated from the following file:

- bind.h

Main Page - Footer